summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /eclass/gkrellm-plugin.eclass
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'eclass/gkrellm-plugin.eclass')
-rw-r--r--eclass/gkrellm-plugin.eclass83
1 files changed, 83 insertions, 0 deletions
diff --git a/eclass/gkrellm-plugin.eclass b/eclass/gkrellm-plugin.eclass
new file mode 100644
index 000000000000..207f3ca05271
--- /dev/null
+++ b/eclass/gkrellm-plugin.eclass
@@ -0,0 +1,83 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+#
+# Original Author: Jim Ramsay <lack@gentoo.org>
+#
+# Purpose:
+# Provides common methods used by (almost) all gkrellm plugins:
+# - Sets up default dependencies
+# - Adds pkg_setup check to ensure gkrellm was built with USE="X" (bug
+# 167227)
+# - Provides utility routines in lieu of hard-coding the plugin directories.
+# - Provides the most common src_install method to avoid code duplication.
+#
+# Utility Routines:
+# gkrellm-plugin_dir - Returns the gkrellm-2 plugin directory
+# gkrellm-plugin_server_dir - Returns the gkrellm-2 server plugin directory
+#
+# Environment:
+# For src_install:
+# PLUGIN_SO - The name of the plugin's .so file which will be installed in
+# the plugin dir. Defaults to "${PN}.so".
+# PLUGIN_DOCS - An optional list of docs to be installed. Defaults to
+# unset.
+# PLUGIN_SERVER_SO - The name of the plugin's server plugin .so portion.
+# Defaults to unset.
+# Important: This will also cause the pkg_setup check to be skipped, so
+# you need to check 'build_with_use app-admin/gkrellm X' in your
+# src_compile and only compile the GUI portion if that returns true. (see
+# x11-plugins/gkrelltop as an example)
+#
+# Changelog:
+# 12 March 2007: Jim Ramsay <lack@gentoo.org>
+# - Added server plugin support
+# 09 March 2007: Jim Ramsay <lack@gentoo.org>
+# - Initial commit
+#
+
+inherit multilib eutils
+
+RDEPEND="=app-admin/gkrellm-2*"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+gkrellm-plugin_dir() {
+ echo /usr/$(get_libdir)/gkrellm2/plugins
+}
+
+gkrellm-plugin_server_dir() {
+ echo /usr/$(get_libdir)/gkrellm2/plugins-gkrellmd
+}
+
+gkrellm-plugin_pkg_setup() {
+ if [[ -z "${PLUGIN_SERVER_SO}" ]] &&
+ ! built_with_use app-admin/gkrellm X; then
+ eerror "This plugin requires the X frontend of gkrellm."
+ eerror "Please re-emerge app-admin/gkrellm with USE=\"X\""
+ die "Please re-emerge app-admin/gkrellm with USE=\"X\""
+ fi
+}
+
+gkrellm-plugin_src_install() {
+ if built_with_use app-admin/gkrellm X; then
+ insinto $(gkrellm-plugin_dir)
+ doins ${PLUGIN_SO:-${PN}.so} || die "Plugin shared library was not installed"
+ fi
+
+ if [[ -n "${PLUGIN_SERVER_SO}" ]]; then
+ insinto $(gkrellm-plugin_server_dir)
+ doins ${PLUGIN_SERVER_SO} || die "Server plugin shared library was not installed"
+ fi
+
+ DDOCS="README* Change* AUTHORS FAQ TODO INSTALL"
+
+ for doc in ${DDOCS}; do
+ [ -s "$doc" ] && dodoc $doc
+ done
+
+ [ -n "${PLUGIN_DOCS}" ] && dodoc ${PLUGIN_DOCS}
+}
+
+EXPORT_FUNCTIONS pkg_setup src_install